import java.util.Iterator;

Network network;
int numNeurons = 15;
int maxNeuronSize = 30;
int minNeuronSize = 10;
int maxWeights = 15;
int counter = 0;
int rate = 10;

float minForce = 1;
float maxForce = 50;

void setup(){
  size(1280,720);
  background(57);
  network = new Network();
  createNeurons();
}

void draw(){
  //background(57);
  fill(57,10);
  rect(0,0,width,height);
  network.update();
  network.display();
  counter += 1;
}

void keyPressed(){
  network.feedforward(random(1));
}

void mousePressed(){
  saveFrame("A_#####.tiff");
}

void createNeurons(){
  for(int i=0;i<numNeurons;i++){
    Neuron n =  new Neuron(random(width),random(height), int(random(maxWeights))+1);
    network.addNeuron(n);
  }
}
